Bug 16945 - PLSQL Task to load Oracle Packages, Triggers, Procedures
Summary: PLSQL Task to load Oracle Packages, Triggers, Procedures
Status: RESOLVED FIXED
Alias: None
Product: Ant
Classification: Unclassified
Component: Optional Tasks (show other bugs)
Version: unspecified
Hardware: All All
: P3 enhancement with 2 votes (vote)
Target Milestone: 1.6
Assignee: Ant Notifications List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2003-02-10 20:27 UTC by Robert Anderson
Modified: 2009-08-24 06:18 UTC (History)
0 users



Attachments
loadplsql task source file (20.22 KB, text/plain)
2003-02-10 20:28 UTC, Robert Anderson
Details
updated, more efficient, faster (20.28 KB, text/plain)
2003-02-21 00:51 UTC, Robert Anderson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Anderson 2003-02-10 20:27:08 UTC
There should be an ant task to load PLSQL code into an Oracle database. I have 
created such a task that I use to load PLSQL packages into Oracle. The task is 
based on the sql task.
Comment 1 Robert Anderson 2003-02-10 20:28:44 UTC
Created attachment 4806 [details]
loadplsql task source file
Comment 2 Robert Anderson 2003-02-21 00:51:49 UTC
Created attachment 4945 [details]
updated, more efficient, faster
Comment 3 Robert Anderson 2003-02-28 17:58:21 UTC
This functionality can be in corporated into the existing sql task. See 
bug#10719 for details
Comment 4 Guido Schreuder 2004-04-28 11:53:58 UTC
I'm currently using the default Ant 1.6.0 SQLTask to do this 
extensively and form me it works flawless. What exactly is your
problem with the default SQLTask?

I use the following settings:
        delimiter     = "/"
        delimitertype = "row"
        keepformat    = "true"

Does this help?
Comment 5 Jose Alberto Fernandez 2004-04-28 12:20:56 UTC
Maybe we should provide a "presetdef"'d that sets the appropriate stuf for 
PLSQL or at least add it to the manual how to do it.

You should also tell people that if you want to use java stored procedures you 
need to use: escapeprocessing="false" (or at least I had to do that).
Comment 6 Robert Anderson 2004-04-28 14:57:36 UTC
This bug can probably be closed. There have been updates to the existing sql 
task, since this bug was filed, that are working well for my purposes.
Comment 7 Stefan Bodewig 2009-08-24 06:18:05 UTC
if Robert said it can be closed, it can be closed 8-)